## knot 3.4.4

=== debian/changelog ===
knot (3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4
  * Add new symbols for 3.4.4

 -- Jakub Ružička <jru@debian.org>  Thu, 23 Jan 2025 12:09:18 +0100
