## knot 3.4.5

=== debian/changelog ===
knot (3.4.5-1) unstable; urgency=medium

  [ Daniel Salzman ]
  * Mute lintian error empty-manual-page for kxdpgun if XDP not available

  [ Jakub Ružička ]
  * Update d/copyright from upstream

 -- Jakub Ružička <jru@debian.org>  Wed, 19 Mar 2025 15:42:14 +0100
