## knot 3.4.6

=== debian/changelog ===
knot (3.4.6-2) unstable; urgency=medium

  * patch: revert %DISABLE_TLS13_COMPAT_MODE removal (Closes: #1104233)

 -- Jakub Ružička <jru@debian.org>  Wed, 30 Apr 2025 18:29:17 +0200

knot (3.4.6-1) unstable; urgency=medium

  * New upstream version 3.4.6

 -- Jakub Ružička <jru@debian.org>  Thu, 10 Apr 2025 13:29:26 +0200
