=== debian/control ===
Source: knot
Section: net
Priority: optional
Maintainer: knot packagers <knot@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Daniel Salzman <daniel.salzman@nic.cz>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Robert Edmonds <edmonds@debian.org>,
 Jakub Ružička <jru@debian.org>,
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.22.5),
 libbpf-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libcap-ng-dev [!hurd-amd64 !hurd-i386],
 libedit-dev,
 libfstrm-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libgnutls28-dev,
 libidn2-dev,
 liblmdb-dev,
 libmaxminddb-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libmnl-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libnghttp2-dev,
 libngtcp2-crypto-gnutls-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libngtcp2-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libprotobuf-c-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
 libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
 libtool,
 liburcu-dev,
 libxdp-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 pkgconf,
 protobuf-c-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-panels,
 softhsm2 <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
Rules-Requires-Root: no

Package: knot
Architecture: any
Depends:
 adduser,
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 knot-dnsutils (<< 2.9.2-5),
Suggests:
 systemd,
Description: Authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libknot15
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: Authoritative domain name server (shared library)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides libknot shared library used by Knot DNS and
 Knot Resolver.

Package: libzscanner4t64
Provides: ${t64:Provides}
Replaces: libzscanner4
Breaks: libzscanner4 (<< ${source:Version})
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNS zone-parsing shared library from Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides a fast zone parser shared library used by Knot
 DNS and Knot Resolver.

Package: libdnssec9t64
Provides: ${t64:Provides}
Replaces: libdnssec9
Breaks: libdnssec9 (<< ${source:Version})
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNSSEC shared library from Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides common DNSSEC shared library used by Knot DNS
 and Knot Resolver.

Package: libknot-dev
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libgnutls28-dev,
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
Section: libdevel
Description: Knot DNS shared library development files
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides development files for internal common shared
 libraries.

Package: knot-dnsutils
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 knot (<< 2.9.2-5),
Replaces:
 knot (<< 2.9.2-5),
Description: Clients provided with Knot DNS (kdig, knsupdate, kxdpgun)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package delivers various client programs related to DNS that are
 derived from the Knot DNS source tree.
 .
  - kdig - query a DNS server in various ways
  - knsupdate - perform dynamic updates (See RFC2136)
  - kxdpgun - send a DNS query stream over UDP to a DNS server
 .
 Those clients were designed to be 1:1 compatible with BIND dnsutils,
 but they provide some enhancements, which are documented in respective
 manpages.
 .
 WARNING: knslookup is not provided as it is considered obsolete.

Package: knot-dnssecutils
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Replaces:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Description: DNSSEC tools provided with Knot DNS (kzonecheck, kzonesign, knsec3hash)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package delivers various DNSSEC tools from Knot DNS.
 .
  - kzonecheck
  - kzonesign
  - knsec3hash

Package: knot-host
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Version of 'host' bundled with Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides the 'host' program in the form that is bundled
 with the Knot DNS.  The 'host' command is designed to be 1:1
 compatible with BIND 9.x 'host' program.

Package: knot-module-dnstap
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dnstap module for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package contains dnstap module for logging DNS traffic.

Package: knot-module-geoip
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip module for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package contains geoip module for geography-based responses.

Package: knot-doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-sphinxdoc,
 libjs-underscore,
 ${misc:Depends},
Section: doc
Description: Documentation for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides various documents that are useful for
 maintaining a working Knot DNS installation.

Package: knot-exporter
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Prometheus exporter for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides Python Prometheus exporter for Knot DNS.

Package: python3-libknot
Architecture: all
Depends:
 libknot15 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Python bindings for libknot
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides Python bindings for the libknot shared library.
