=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	  echo "XDP enabled"; \
 	else \
 	  echo "XDP disabled"; \
-	  touch $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
+	  printf '.TH kxdpgun 8 "" "" "not available"\n' > $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
 	  printf '#!/bin/sh\n\necho "kxdpgun not available"\n' > $(CURDIR)/debian/tmp/usr/sbin/kxdpgun; \
 	fi
