## knot 3.4.7

=== debian/changelog ===
knot (3.4.7-1) experimental; urgency=medium

  * New upstream version 3.4.7 (Closes: #1109283)
  * Use debian/experimental due to Trixie freeze
  * Remove patch included in upstream release
  * Add new symbols for 3.4.7

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Jul 2025 21:39:09 +0200
