## knot 3.4.8

=== debian/changelog ===
knot (3.4.8-1) experimental; urgency=medium

  * New upstream version 3.4.8
  * Add simple python-libknot autopkgtest

 -- Jakub Ružička <jru@debian.org>  Wed, 30 Jul 2025 18:19:58 +0200
