=== debian/tests/control ===
--- 
+++ 
@@ -11,3 +11,7 @@
  knot,
  knot-dnsutils,
  knot-dnssecutils,
+
+Tests: python-libknot
+Depends:
+ python3-libknot
