## knot 3.5.0

=== debian/changelog ===
knot (3.5.0-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * Upload to unstable
  * New upstream version 3.5.0
  * SONAME bumps: libknot, libdnssec, libzscanner
  * Add script to help with updating libknot symlinks on SONAME bump
  * Add redis-module-knot package with Knot Redis module
  * Split keymgr into knot-keymgr package (Closes: #1109284)
  * Update Standards-Version to latest 4.7.2 (no changes)
  * Remove redundant Rules-Requires-Root: no
  * Adapt authoritative-server test for kzonecheck to autodetection
  * Move deps to Build-Depends-Indep

  [ Daniel Salzman ]
  * Remove no longer needed dpkg-dev (>= 1.22.5) from Build-Depends
  * Remove obsolete Breaks on version 2.9.2-5
  * Add missing libdnssec10 dependency for libknot16
  * Update copyright based on upstream
  * Add knot-keymgr to Depends for authoritative-server tests
  * Move --exclude= parameters to override_dh_missing
  * Update and synchronize package descriptions with upstream

 -- Jakub Ružička <jru@debian.org>  Mon, 29 Sep 2025 16:09:18 +0200
