=== debian/rules ===
--- 
+++ 
@@ -43,8 +43,7 @@
 
 %:
 	dh $@ \
-	 --exclude=.la --exclude=example.com.zone \
-	 --with python3
+	  --with python3
 
 override_dh_auto_configure:
 	@echo 'architecture:' $(DEB_HOST_ARCH)
@@ -57,6 +56,7 @@
 	  --with-storage=/var/lib/knot \
 	  --enable-systemd=auto \
 	  --disable-silent-rules \
+	  --enable-redis=auto \
 	  $(RRL) \
 	  $(GEOIP) \
 	  $(DNSTAP) \
@@ -85,6 +85,9 @@
 	  printf '.TH kxdpgun 8 "" "" "not available"\n' > $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
 	  printf '#!/bin/sh\n\necho "kxdpgun not available"\n' > $(CURDIR)/debian/tmp/usr/sbin/kxdpgun; \
 	fi
+	@if [ -f "$(CURDIR)/debian/tmp/usr/lib/*/knot/redis/knot.so" ]; then \
+	  chmod 0755 $(CURDIR)/debian/tmp/usr/lib/*/knot/redis/knot.so; \
+	fi
 
 override_dh_auto_install-indep:
 	dh_auto_install -- install-html
@@ -103,7 +106,7 @@
 endif
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --exclude=.la --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
