=== debian/changelog ===
knot (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Remove patch included upstream

 -- Jakub Ružička <jru@debian.org>  Fri, 17 Oct 2025 14:33:38 +0200

knot (3.5.0-2) unstable; urgency=medium

  [ Jakub Ružička ]
  * Source-only upload
  * Add patch to fix armel, powerpc, mips build

  [ Daniel Salzman ]
  * Remove no longer needed fix for testing with old KASP DB

 -- Jakub Ružička <jru@debian.org>  Tue, 30 Sep 2025 18:40:47 +0200
