=== debian/control ===
Source: knot
Section: net
Priority: optional
Maintainer: knot packagers <knot@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Daniel Salzman <daniel.salzman@nic.cz>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Robert Edmonds <edmonds@debian.org>,
 Jakub Ružička <jru@debian.org>,
Build-Depends-Indep:
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-panels,
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dh-python,
 libbpf-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libcap-ng-dev [!hurd-amd64 !hurd-i386],
 libedit-dev,
 libfstrm-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libgnutls28-dev,
 libhiredis-dev,
 libidn2-dev,
 liblmdb-dev,
 libmaxminddb-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libmnl-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libnghttp2-dev,
 libngtcp2-crypto-gnutls-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libngtcp2-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libprotobuf-c-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
 libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
 libtool,
 liburcu-dev,
 libxdp-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 pkgconf,
 protobuf-c-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 python3-all,
 softhsm2 <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git

Package: knot
Architecture: any
Depends:
 adduser,
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 knot-keymgr,
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 systemd,
Description: Authoritative DNS server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libknot16
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNS shared library from Knot DNS
 This package provides a DNS shared library used by Knot DNS and
 Knot Resolver.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libzscanner5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNS zone-parsing shared library from Knot DNS
 This package provides a fast zone parser shared library used by
 DNS and Knot Resolver.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libdnssec10
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNSSEC shared library from Knot DNS
 This package provides a DNSSEC shared library used by Knot DNS
 and Knot Resolver.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libknot-dev
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libgnutls28-dev,
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
Section: libdevel
Description: Development files for Knot DNS shared libraries
 This package provides development files for shared libraries from
 Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-dnsutils
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DNS clients from Knot DNS
 This package provides various DNS client programs from Knot DNS.
 .
  - kdig - query a DNS server in various ways
  - knsupdate - perform dynamic updates (See RFC2136)
  - kxdpgun - send a DNS query stream
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-dnssecutils
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Replaces:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Description: DNSSEC tools
 This package provides various DNSSEC tools from Knot DNS.
 .
  - kzonecheck - check a DNS zone file
  - kzonesign - sign a DNS zone file
  - knsec3hash - compute NSEC3 hash
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-host
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple DNS client
 This package provides a simple DNS client program from Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-keymgr
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Knot DNS key management utility
 This package provides the 'keymgr' program for Knot DNS key management.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-module-dnstap
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dnstap module for Knot DNS
 This package provides dnstap module for logging DNS traffic.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-module-geoip
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip module for Knot DNS
 This package provides geoip module for geography-based responses.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: redis-module-knot
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redis module for Knot DNS
 This package provides a Redis module for commucation with Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-sphinxdoc,
 libjs-underscore,
 ${misc:Depends},
Section: doc
Description: Documentation for Knot DNS
 This package provides various documents that are useful for
 maintaining a working Knot DNS installation.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-exporter
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Prometheus exporter for Knot DNS
 This package provides Python Prometheus exporter for Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: python3-libknot
Architecture: all
Depends:
 libknot16 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Python bindings for libknot
 This package provides Python bindings for the libknot shared library.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
