=== debian/rules ===
--- 
+++ 
@@ -100,10 +100,7 @@
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(RUN_TEST) dh_auto_test
-	$(MAKE) -C samples knot.sample.conf
-endif
 
 override_dh_missing:
 	dh_missing --exclude=.la --fail-missing
