=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  knot,
  knot-dnsutils,
  knot-dnssecutils,
+ knot-keymgr,
 
 Tests: python-libknot
 Depends:
