## knot 3.5.2

=== debian/changelog ===
knot (3.5.2-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging upstream version 3.5.2.
  * Merging debian version 3.5.2-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Dec 2025 17:46:09 +0100

knot (3.5.2-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream version 3.5.2
  * Add new symbols for 3.5.2

  [ Daniel Salzman ]
  * Add protobuf-compiler to Build-Depends

 -- Jakub Ružička <jru@debian.org>  Tue, 02 Dec 2025 15:43:18 +0100

knot (3.5.1-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging upstream version 3.5.1.
  * Merging debian version 3.5.1-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 17 Oct 2025 18:07:15 +0200

knot (3.5.0-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging debian version 3.5.0-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Oct 2025 09:11:30 +0200

knot (3.5.0-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging upstream version 3.5.0.
  * Merging debian version 3.5.0-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 30 Sep 2025 13:34:17 +0200

knot (3.4.8-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
    - Moving keymgr from knot to knot-dnssecutils (Closes: #1109284).
  * Merging upstream version 3.4.8.
  * Merging debian version 3.4.8-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jul 2025 20:38:29 +0200

knot (3.4.7-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
    #932087).
  * Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
  * Adding update-alternatives to use khost for /usr/bin/host.
  * Moving keymgr from knot to knot-dnssecutils (Closes: #1109284).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Jul 2025 06:12:51 +0200
