=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: knot
 Section: net
 Priority: optional
-Maintainer: knot packagers <knot@packages.debian.org>
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: knot packagers <knot@packages.debian.org>
+XSBC-Original-Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Robert Edmonds <edmonds@debian.org>,
  Jakub Ružička <jru@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends-Indep:
  python3-setuptools,
  python3-sphinx,
@@ -38,12 +41,15 @@
  libxdp-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
  pkgconf,
  protobuf-c-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
+ protobuf-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
  python3-all,
  softhsm2 <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://www.knot-dns.cz/
-Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
-Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports/knot
+Vcs-Git: https://git.progress-linux.org/horok-backports/knot
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
+XSBC-Original-Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
 
 Package: knot
 Architecture: any
@@ -156,10 +162,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- knot (<< 3.2.0-1),
+ knot (<< ${binary:Version}),
  knot-dnsutils (<< 3.2.0-1),
 Replaces:
- knot (<< 3.2.0-1),
+ knot (<< ${binary:Version}),
  knot-dnsutils (<< 3.2.0-1),
 Description: DNSSEC tools
  This package provides various DNSSEC tools from Knot DNS.
