## knot 3.5.3

=== debian/changelog ===
knot (3.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Install and use sysusers.d/tmpfiles.d config files

  [ Santiago Ruano Rincón ]
  * Install keymgr in /usb/bin instead of /usr/sbin (Closes: #1109287)
  * Declare in d/clean that doc/modules/ is a directory

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 16 Feb 2026 11:03:07 -0300

knot (3.5.3-1) unstable; urgency=medium

  * Team upload.
  * Disable (temporarily) ARM build jobs from Salsa CI
  * Remove the Priority field from the source package
  * Bump Standards-Version to 4.7.3

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 20 Jan 2026 14:38:48 -0300
